Method: runtimes.create

Creates a Colab runtime assignment.

When runtime creation is refused with a FAILED_PRECONDITION (code: 9) error, a more specific error reason will be returned in the details of the Operation error wrapped in google.rpc.ErrorInfo.

HTTP request

POST https://colaboratory.googleapis.com/v1beta/runtimes

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
requestId

string

Optional. A unique identifier for this request.

This request is only idempotent if a requestId is provided. See AIP-155 for more details.

If provided, the request ID must be in UUID4 format per https://linter.aip.dev/155/request-id-format.

runtimeId

string

Optional. A unique identifier for the runtime. If not supplied, a random ID will be generated. If a runtime with the given ID owned by the requesting user already exists, a completed Operation with an ALREADY_EXISTS (code: 6) error will be returned. See AIP-133 for more details.

The ID must conform to RFC-1034, specifically:

  • 1 to 63 characters

  • Lower-case letters, digits, and hyphens

  • Start with a letter

  • End with a letter or digit

Request body

The request body contains an instance of Runtime.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/colaboratory

For more information, see the OAuth 2.0 Overview.